services:
  minio:
    image: quay.io/minio/minio:latest
    container_name: minio-node${MINIO_NODE_NUMBER}
    network_mode: host
    volumes:
      - /docker/minio/data:/data
    ports:
      - ${MINIO_GUI_PORT}:9001
      - ${MINIO_API_PORT}:9000
    environment:
      - MINIO_ROOT_USER=${MINIO_ADMIN_USER}
      - MINIO_ROOT_PASSWORD=${MINIO_ADMIN_PASS}
    command: server http://${MINIO_NODE1_IP}:9000/data http://${MINIO_NODE2_IP}:9000/data --console-address ":${MINIO_GUI_PORT}" --address ":${MINIO_API_PORT}"